%define debug_package %{nil}
Name:                openeuler-lsb
Summary:             LSB support for linux Standard Base specification
Version:             5.0
Release:             1
Source0:             %{name}-%{version}.tar.bz2
License:             GPLv2
URL:                 http://www.linuxfoundation.org/collaborate/workgroups/lsb
Provides:            lsb = %{version}-%{release}
Provides:            lsb-%{archname} = %{version}-%{release}
Provides:            lsb-noarch = %{version}-%{release}
Provides:            openeuler-lsb = %{version}-%{release}
Provides:            openeuler-lsb-compat = %{version}-%{release}
Provides:            openeuler-lsb-core = %{version}-%{release}

Requires:            coreutils findutils sed util-linux

%description
The Linux Standard Base (LSB) is an attempt to develop a set of
standards that will increase compatibility among Linux distributions.
It is designed to be binary-compatible and produce a stable application
binary interface(ABI) for independent software vendors.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/bin
install -m0755 lsb_release $RPM_BUILD_ROOT%{_bindir}/lsb_release
mkdir -p %{buildroot}/lib/lsb
install -m0755 openeuler_start_daemon $RPM_BUILD_ROOT/lib/lsb/
install -m0755 openeuler_pidofproc $RPM_BUILD_ROOT/lib/lsb/
install -m0755 openeuler_killproc $RPM_BUILD_ROOT/lib/lsb/
install -m0755 openeuler_log_success $RPM_BUILD_ROOT/lib/lsb/
install -m0755 openeuler_log_failure $RPM_BUILD_ROOT/lib/lsb/
install -m0755 openeuler_log_warning $RPM_BUILD_ROOT/lib/lsb/
install -m0755 init-functions $RPM_BUILD_ROOT/lib/lsb/

%files
%attr(0755,root,root) %{_bindir}/lsb_release
%attr(0755,root,root) /lib/lsb/openeuler_start_daemon
%attr(0755,root,root) /lib/lsb/openeuler_pidofproc
%attr(0755,root,root) /lib/lsb/openeuler_killproc
%attr(0755,root,root) /lib/lsb/openeuler_log_success
%attr(0755,root,root) /lib/lsb/openeuler_log_failure
%attr(0755,root,root) /lib/lsb/openeuler_log_warning
%attr(0755,root,root) /lib/lsb/init-functions

%changelog
* Tue Jul 28 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 5.0-1
- package init
